function [TX,TY,TZ]=ToTet(UVS,SWS,MWS,LWS)
% [tx,ty,tz]=ToTet(UV,SW,MW,LW);  converts cone data to 
%   tetrahedron coordinates.  First makes UVS+SWS+MWS+LWS=1
% Plot in the tetrahedron using plot3 or scatter3(TX,TY,TZ...)
%   Use tetra=drawtet; to draw tetrahedron first.
% NOTE this is a different orientation than in GETSPACE.PAS
%   prior to June 2002, to make it work for spherical projections
tot=UVS+SWS+MWS+LWS;
if tot<=0 error('Zero total cone output'); end;
UVS=UVS./tot; SWS=SWS./tot; MWS=MWS./tot; LWS=LWS./tot;
[n,j]=size(UVS); clear j;
TX=zeros(n,1); TY=TX; TZ=TX;
for i=1:n
  TY(i)=(1/2)*sqrt(3/2)*(UVS(i)+2*SWS(i)+MWS(i)-1); 
  TX(i)=(UVS(i)+3*MWS(i)-1)/(2*sqrt(2));
  TZ(i)=UVS(i)-(1/4);
end;
